#!/bin/bash
# SPDX-Version: 3.0
# SPDX-CreationInfo: 2025-06-17; WEIDNER, Marc S.; <msw@coresecret.dev>
# SPDX-ExternalRef: GIT https://git.coresecret.dev/msw/CISS.debian.installer.git
# SPDX-FileContributor: WEIDNER, Marc S.; Centurion Intelligence Consulting Agency
# SPDX-FileCopyrightText: 2024-2025; WEIDNER, Marc S.; <msw@coresecret.dev>
# SPDX-FileType: SOURCE
# SPDX-License-Identifier: EUPL-1.2 OR LicenseRef-CCLA-1.0
# SPDX-LicenseComment: This file is part of the CISS.debian.installer.secure framework.
# SPDX-PackageName: CISS.debian.installer
# SPDX-Security-Contact: security@coresecret.eu

guard_sourcing

#######################################
# Calculates total runtime of the CISS.debian.installer.
# Globals:
#   VAR_END_TIME
#   VAR_SCRIPT_RUNTIME
#   VAR_START_TIME
# Arguments:
#   None
# Returns:
#   0: on success
#######################################
calculate_runtime() {
  ### Declare Arrays, HashMaps, and Variables.
  declare -i   var_runtime="${SECONDS}"
  declare -i   var_hours=$(( var_runtime / 3600 ))
  declare -i   var_minutes=$(( (var_runtime % 3600) / 60 ))
  declare -i   var_seconds=$(( var_runtime % 60 ))
  # shellcheck disable=SC2155
  declare -grx VAR_SCRIPT_RUNTIME="$(printf "%02dh %02dm %02ds" "${var_hours}" "${var_minutes}" "${var_seconds}")"
  return 0
}
# vim: number et ts=2 sw=2 sts=2 ai tw=128 ft=sh
